
PYROS - Evolution #4200
Evolution # 4090 (Nouveau): ******************* PYROS SOFTWARE
Evolution # 4093 (Nouveau): ************** (WP) 09.1 – OBSERVATORY CONTROL

******* (M) 09.1.50 - MONITOR - Monitoring (weather, observation conditions, site)
09/14/2016 11:31 am - Etienne Pallier

Status: Nouveau Start date: 05/19/2016
Priority: Normal Due date:
Assignee: % Done: 8%
Category: Estimated time: 329.00 hours
Target version: Spent time: 0.00 hour
Description

from PLC

Subtasks:
Evolution # 4201: * (F) Read Environment data (Weather, Observation Conditions, and Sit... Nouveau
  Evolution # 3668: Interface with PLC Nouveau
  Evolution # 3934: Get instruments status (from Observer, via DB) Nouveau
  Evolution # 3935: Timer for night start & end Nouveau
  Evolution # 4492: (FT) Tests Nouveau
  Evolution # 4514: Get CURRENT TASKS (Celery) status Nouveau
Evolution # 4202: * (F) Correct raw data Nouveau
Evolution # 4203: * (F) Provide high level parameters Nouveau
Evolution # 4204: * (F) Save monitored data Nouveau
  Evolution # 3936: Store weather & site watches Nouveau
  Evolution # 4339: Le monitoring doit stocker les statuts dans la BD (TODO) Nouveau
  Evolution # 4493: (FT) Tests Nouveau
Evolution # 4269: * (F) PLC Simulator Nouveau
  Evolution # 3669: PLC simple simulator Nouveau
  Evolution # 3678: Weather Station simple simulator Nouveau
  Evolution # 3679: Observation conditions simple simulator Nouveau
  Evolution # 3937: Instruments creation & configuration Nouveau
  Evolution # 4024: Various and complete answers for PLC simulator Nouveau
  Evolution # 4494: (FT) Tests Nouveau
Evolution # 4284: Définir la liste des données à échanger, leur format, leur contenu, l... Nouveau
Evolution # 4290: * (F) Monitor VIEW Nouveau
  Evolution # 4233: Display current environment status (weather, site, observation condit... Nouveau
  Evolution # 4234: Display environment status HISTORY Nouveau
  Evolution # 3974: Diagramme workflow du manotoring + Wiki Nouveau
  Evolution # 4340: Ces statuts doivent être affichés au fur et à mesure sur la page web ... Nouveau
  Evolution # 4387: Print the instrument status Nouveau
  Evolution # 4388: Print PLC informations (with the evolution) Nouveau
  Evolution # 4389: In the dashboard screens, put scroll on each screen to see the old logs Nouveau
  Evolution # 4495: (FT) Tests Nouveau
Evolution # 4297: MODULE Tests Suite Nouveau
Evolution # 3938: Calibration files sheduling Nouveau
Evolution # 3939: CReate 'super' calibration images Nouveau
Evolution # 4311: * (F) Monitor data transfer Nouveau
  Evolution # 3940: Send status to IC Nouveau
  Evolution # 4497: (FT) Tests Nouveau
Evolution # 4312: * (F) Monitor Operations Nouveau
  Evolution # 3941: Update soft versions at start Fermé
  Evolution # 3696: Manage instrument status Nouveau
  Evolution # 4390: Uncomment the scheduling at the beginning Nouveau
  Evolution # 4391: Implement night start/end computation Nouveau
  Evolution # 4392: Initialize communication with the instruments Nouveau
  Evolution # 4393: Configure intruments at start Nouveau
  Evolution # 4394: Send software versions to the IC Nouveau
  Evolution # 4395: Initialize connection with PLC Nouveau
  Evolution # 4396: After the starting actions, loop to wait for the instruments configur... Nouveau
  Evolution # 4397: Ask PLC for status Nouveau
  Evolution # 4398: Ask filter wheel for status Nouveau
  Evolution # 4399: Store the instruments & PLC status Nouveau
  Evolution # 4400: Analyse PLC status (obs conditions, ...) Nouveau
  Evolution # 4401: Create tasks of obs condition changes Nouveau
  Evolution # 4402: At the beginning of the loop, ping the DISABLED devices. If they answ... Nouveau
  Evolution # 4496: (FT) Tests Nouveau

History
#1 - 09/14/2016 10:41 pm - Etienne Pallier
- Subject changed from ******* (M) 09.1.50 - MONITOR - Monitoring (weather, site) (from PLC) ******* to ******* (M) 09.1.50 - MONITOR - Monitoring 
(weather, site) (from PLC)

#2 - 09/15/2016 10:32 am - Etienne Pallier
- Subject changed from ******* (M) 09.1.50 - MONITOR - Monitoring (weather, site) (from PLC) to ******* (M) 09.1.50 - MONITOR - Monitoring 
(weather, observation conditions, site)

Get these informations from the PLC

#3 - 09/23/2016 04:00 pm - Etienne Pallier
- Target version deleted (137)
